Bug 437539 - need to provide a yum plugin like yum-refresh-updatesd
need to provide a yum plugin like yum-refresh-updatesd
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2008-03-14 15:25 EDT by Jeremy Katz
Modified: 2008-03-17 13:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-17 13:32:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2008-03-14 15:25:03 EDT
Should have a plugin like yum-refresh-updatesd so that manual yum installs
update package kit's (and especially the applet) view of the world.  

Even better might be if it didn't need a plugin and instead something (maybe the
applet, maybe the daemon while it's running) watched via inotify for changes to
repos, yum cache dirs and the rpmdb and used that as a trigger
Comment 1 Robin Norwood 2008-03-14 15:45:00 EDT
check out yum-packagekit - I think it does exactly what you're asking for.  It
would've been smart if I'd requested you add that to comps at the same time as
gnome-packagekit, but smart eluded me this time.  Is it too late to get it into
comps for the beta?
Comment 2 Jeremy Katz 2008-03-14 16:45:51 EDT
Yeah, looks pretty much exactly like the refresh-updatesd version.  

For the beta, we'll be fine without it installed by default.  It probably makes
sense to end up having PackageKit require it like we have yum-updatesd require
the refresh-updatesd plugin.  
Comment 3 Richard Hughes 2008-03-16 19:56:39 EDT
Yup, requiring it by default is a good idea. It makes PK a bit cleverer when you
start using yum behind its back.
Comment 4 Robin Norwood 2008-03-17 13:32:57 EDT
Built PackageKit-0.1.9-2 with the aforementioned Requires.

Note You need to log in before you can comment on or make changes to this bug.